## Apache Zeta Components Manual :: Docs For Class ezcSearchDeleteQuerySolr

### Search::ezcSearchDeleteQuerySolr

### Class ezcSearchDeleteQuerySolr

ezcSearchQuerySolr implements the find query for searching documents.

Source for this file: /Search/src/abstraction/implementations/solr_delete.php

### Implements interfaces:

- ezcSearchDeleteQuery

Version: | //autogen//

### Member Variables

public array(string) | `$whereClauses` Holds all the search clauses that will be used to create the search query.

### Method Summary

public ezcSearchDeleteQuerySolr | `__construct( $handler , $definition )` Constructs a new ezcSearchQuerySolr object for the handler $handler
public string | `between( $field , $value1 , $value2 )` Returns a string containing a field/value specifier, and an optional boost value.
public string | `eq( $field , $value )` Returns a string containing a field/value specifier, and an optional boost value.
public ezcSearchDocumentDefinition | `getDefinition( )` Returns the definition that belongs to this query
public string | `lAnd( $... )` Creates an AND clause
public string | `lOr( $... )` Creates an OR clause
public string | `not( $clause )` Creates a NOT clause
public void | `reset( )` Resets all the internal query values to their defaults.
public ezcSearchQuerySolr | `where( $clause )` Adds a select/filter statement to the query

### Methods

#### __construct

ezcSearchDeleteQuerySolr __construct( ezcSearchHandler $handler , ezcSearchDocumentDefinition $definition )

Constructs a new ezcSearchQuerySolr object for the handler $handler

The handler implements mapping field names and values based on the document $definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$handler` | ezcSearchHandler |
`$definition` | ezcSearchDocumentDefinition |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::__construct()` | Creates a new search query with handler $handler and document definition $definition.

#### between

string between( string $field , mixed $value1 , mixed $value2 )

Returns a string containing a field/value specifier, and an optional boost value.

The method uses the document definition field type to map the fieldname to a solr fieldname, and the $fieldType argument to escape the values correctly.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$field` | string |
`$value1` | mixed |
`$value2` | mixed |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::between()` | Returns a string containing a field/value specifier, and an optional boost value.

#### eq

string eq( string $field , mixed $value )

Returns a string containing a field/value specifier, and an optional boost value.

The method uses the document definition field type to map the fieldname to a solr fieldname, and the $fieldType argument to escape the $value correctly. If a definition is set, the $fieldType will be overridden with the type from the definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$field` | string |
`$value` | mixed |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::eq()` | Returns a string containing a field/value specifier, and an optional boost value.

#### getDefinition

ezcSearchDocumentDefinition getDefinition( )

Returns the definition that belongs to this query

#### lAnd

string lAnd( mixed $... )

Creates an AND clause

This method accepts either an array of fieldnames, but can also accept multiple parameters as field names.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | mixed |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::lAnd()` | Creates an AND clause

#### lOr

string lOr( mixed $... )

Creates an OR clause

This method accepts either an array of fieldnames, but can also accept multiple parameters as field names.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | mixed |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::lOr()` | Creates an OR clause

#### not

string not( string $clause )

Creates a NOT clause

This method accepts a clause and negates it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$clause` | string |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::not()` | Creates a NOT clause

#### reset

void reset( )

Resets all the internal query values to their defaults.

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::reset()` | Resets the query object for reuse.

#### where

ezcSearchQuerySolr where( string $clause )

Adds a select/filter statement to the query

##### Parameters:

Name | Type | Description
--- | --- | ---
`$clause` | string |

##### Implementation of:

Method | Description
--- | ---
`ezcSearchQuery::where()` | Adds a select/filter statement to the query

Documentation generated by phpDocumentor 1.4.3